## ruby-dcl 1.4.1

=== GenWrapper/Makefile ===
all: source   # dcl_rb

source:
	cd proto ; \
	$(MAKE) ; \
	cd ../

dcl_rb:
	ruby elim_ary_size.rb proto/*.fp

clean: clean.local

clean.local:
	$(RM) *~

=== GenWrapper/proto/Makefile ===
SRCS = math1_blklib.c math1_chrlib.c math1_fnclib.c math1_gnmlib.c \
    math1_ifalib.c math1_indxlib.c math1_intlib.c math1_lrllib.c \
    math1_oslib.c math1_rfalib.c math1_rfblib.c math1_sublib.c \
    math1_syslib.c math1_vialib.c math1_viblib.c math1_vralib.c \
    math1_vrblib.c math1_xfclib.c math2_fftlib.c math2_intrlib.c \
    math2_rnmlib.c math2_shtlib.c math2_vstlib.c \
    misc1_chnlib.c misc1_datelib.c misc1_fmtlib.c misc1_misclib.c \
    misc1_randlib.c misc1_timelib.c grph1_csgi.c grph1_scpack.c \
    grph1_sgpack.c grph1_slpack.c grph1_stpack.c grph1_swpack.c \
    grph2_grpack.c grph2_ucpack.c grph2_udpack.c grph2_uepack.c \
    grph2_ugpack.c grph2_uhpack.c grph2_ulpack.c grph2_umpack.c \
    grph2_uspack.c grph2_uupack.c grph2_uvpack.c grph2_uwpack.c \
    grph2_uxpack.c grph2_uypack.c grph2_uzpack.c
#    math2_odelib.c \

.SUFFIXES: .fp
.fp.c:
	cd ../ ; \
	cat etc/p_header              > src/$@ ; \
	ruby proto2c.rb proto/$< >> src/$@ ; \
	ruby cproto2init.rb src/$@   >> src/$@ ; \
	cd proto

all: $(SRCS)

clean:
	cd ../src/ ; \
	$(RM) $(SRCS) ;\
	cd ..

distclean: clean

## ruby-dcl 1.5.1-1

=== Makefile ===
SHELL = /bin/sh
#### Start of system configuration section. ####
srcdir = .
topdir = $(rubylibdir)/$(arch)
hdrdir = $(rubylibdir)/$(arch)
VPATH = $(srcdir)
CC = gcc
CFLAGS   = -fPIC -g -O2 -fPIC  -O -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/X11R6/include -I/usr/lib/dcl-5.3.1-c/include  -DDCLVER=53
CPPFLAGS = -I. -I$(hdrdir) -I$(srcdir) -I$(prefix)/include -DHAVE_NARRAY_H -DHAVE_NARRAY_CONFIG_H   -I$(sitelibdir)/$(arch)
CXXFLAGS = $(CFLAGS)
DLDFLAGS =  -L$(sitelibdir)/$(arch) -L$(exec_prefix)/lib 
LDSHARED = gcc -shared 
LIBPATH = 
RUBY_INSTALL_NAME = ruby
RUBY_SO_NAME = 
arch = i386-linux
ruby_version = 1.6

prefix = $(DESTDIR)/usr
exec_prefix = $(prefix)
libdir = $(exec_prefix)/lib
rubylibdir = $(libdir)/ruby/$(ruby_version)
archdir = $(rubylibdir)/$(arch)
sitedir = $(prefix)/lib/ruby
sitelibdir = $(sitedir)/$(ruby_version)
sitearchdir = $(sitelibdir)/$(arch)
target_prefix = /numru
#### End of system configuration section. ####
LOCAL_LIBS =  -L/usr/lib/dcl-5.3.1-c/lib -L/usr/X11R6/lib -lcdcl531 -lf2c4dcl -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangox-1.0 -lpangoxft-1.0 -lpango-1.0 -lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -lSM -lICE -lX11 -lm  
LIBS = -L. -l$(RUBY_INSTALL_NAME) -lc
OBJS = math2_fftlib.o math2_intrlib.o grph2_uvpack.o dcl_cary2obj.o grph2_uwpack.o dcl_obj2cary.o grph2_uxpack.o math2_rnmlib.o dummy.o math2_shtlib.o math2_vstlib.o grph1_csgi.o grph2_uypack.o grph1_scpack.o init.o grph1_sgpack.o grph2_uzpack.o grph1_slpack.o math1_fnclib.o grph1_stpack.o math1_gnmlib.o grph1_swpack.o math1_gt2dlib.o grph1_zgpack.o math1_ifalib.o math1_indxlib.o grph2_grpack.o math1_intlib.o grph2_ucpack.o math1_lrllib.o grph2_udpack.o math1_oslib.o grph2_uepack.o math1_rfalib.o grph2_ugpack.o math1_rfblib.o grph2_uhpack.o math1_sublib.o grph2_ulpack.o math1_syslib.o grph2_umpack.o math1_vialib.o grph2_uspack.o math1_viblib.o grph2_uupack.o math1_vralib.o misc1_chnlib.o math1_blklib.o math1_vrblib.o math1_chrlib.o math1_xfclib.o misc1_datelib.o misc1_fmtlib.o misc1_misclib.o misc1_randlib.o misc1_timelib.o
TARGET = dcl_raw
DLLIB = $(TARGET).so
RUBY = ruby
RM = $(RUBY) -rftools -e "File::rm_f(*ARGV.map{|x|Dir[x]}.flatten.uniq)"
EXEEXT = 
all:		$(DLLIB)
clean:;		@$(RM) *.o *.so *.sl *.a $(DLLIB)
		@$(RM) $(TARGET).lib $(TARGET).exp $(TARGET).ilk *.pdb $(CLEANFILES)
distclean:	clean
		@$(RM) Makefile.orig
		@$(RM) init.c grph1_zgpack.c
		@$(RM) Makefile extconf.h conftest.* mkmf.log
		@$(RM) core ruby$(EXEEXT) *~ $(DISTCLEANFILES)
realclean:	distclean
install:	$(archdir)$(target_prefix)/$(DLLIB)
site-install:	$(sitearchdir)$(target_prefix)/$(DLLIB)
$(archdir)$(target_prefix)/$(DLLIB): $(DLLIB)
	@$(RUBY) -r ftools -e 'File::makedirs(*ARGV)' $(rubylibdir) $(archdir)$(target_prefix)
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0555, true)' $(DLLIB) $(archdir)$(target_prefix)/$(DLLIB)
	@$(RUBY) -r ftools -e 'File::makedirs(*ARGV)' $(rubylibdir)$(target_prefix)
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' ./lib/dcl.rb $(rubylibdir)$(target_prefix)

$(sitearchdir)$(target_prefix)/$(DLLIB): $(DLLIB)
	@$(RUBY) -r ftools -e 'File::makedirs(*ARGV)' $(sitearchdir)$(target_prefix)
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0555, true)' $(DLLIB) $(sitearchdir)$(target_prefix)/$(DLLIB)
	@$(RUBY) -r ftools -e 'File::makedirs(*ARGV)' $(sitelibdir)$(target_prefix)
	@$(RUBY) -r ftools -e 'File::install(ARGV[0], ARGV[1], 0644, true)' ./lib/dcl.rb $(sitelibdir)$(target_prefix)


.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<
.cc.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c -o $@ $<
.cpp.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c -o $@ $<
.cxx.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c -o $@ $<
.C.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c -o $@ $<
$(DLLIB): $(OBJS)
	$(LDSHARED) $(DLDFLAGS) -o $(DLLIB) $(OBJS) $(LIBS) $(LOCAL_LIBS)

=== debian/changelog ===
ruby-dcl (1.5.1-1) unstable; urgency=low

  * New upstream release. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Sun, 24 Jul 2005 13:25:41 +0900

ruby-dcl (1.5.0-1) unstable; urgency=low

  * New upstream release

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu, 18 Nov 2004 21:42:06 +0900

ruby-dcl (1.4.1-1) unstable; urgency=low

  * New upstream release

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Thu, 12 Aug 2004 19:45:04 +0900

ruby-dcl (1.4.0-2) unstable; urgency=low

  * Rebuild. 

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Mon, 15 Mar 2004 20:18:17 +0900

ruby-dcl (1.4.0-1) unstable; urgency=low

  * New upstream release

 -- ODAKA Masatsugu <odakker@gfd-dennou.org>  Fri, 12 Mar 2004 11:54:30 +0900

ruby-dcl (1.3.0-1) unstable; urgency=low

  * Initial Release.

 -- Kazuaki Takemoto <takemoto@ep.sci.hokudai.ac.jp>  Thu, 27 Nov 2003 03:52:54 +0900

=== debian/control ===
Source: ruby-dcl
Section: math
Priority: optional
Maintainer: Masatsugu Odaka <odakker@gfd-dennou.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: ruby-dcl
Architecture: i386
Depends: ${shlibs:Depends}, ruby(>=1.6.7-3woody4), ruby-narray(>=0.5.7), dcl-c(>=5.3.1)
Recommends: ruby-narray-miss (>=1.1.0)
Description: the Ruby interface of the DCL graphic library 
 RubyDCL is a ruby interface to the scientific graphic library DCL. It supports all the subroutines and functions in DCL on a one-to-one basis.

## ruby-dcl 1.5.3

=== ruby-dcl-1.5.3/Makefile ===

SHELL = /bin/sh

#### Start of system configuration section. ####

srcdir = .
topdir = /usr/lib/ruby/1.8/i386-linux
hdrdir = $(topdir)
VPATH = $(srcdir):$(topdir):$(hdrdir)
prefix = $(DESTDIR)/usr
exec_prefix = $(prefix)
#sitedir = $(DESTDIR)/usr/local/lib/site_ruby
sitedir = $(prefix)/lib/ruby
rubylibdir = $(libdir)/ruby/$(ruby_version)
archdir = $(rubylibdir)/$(arch)
sbindir = $(exec_prefix)/sbin
datadir = $(prefix)/share
includedir = $(prefix)/include
infodir = $(prefix)/info
sysconfdir = $(DESTDIR)/etc
mandir = $(datadir)/man
libdir = $(exec_prefix)/lib
sharedstatedir = $(prefix)/com
oldincludedir = $(DESTDIR)/usr/include
sitearchdir = $(sitelibdir)/$(sitearch)
bindir = $(exec_prefix)/bin
localstatedir = $(DESTDIR)/var
sitelibdir = $(sitedir)/$(ruby_version)
libexecdir = $(exec_prefix)/libexec

CC = gcc
LIBRUBY = $(LIBRUBY_SO)
LIBRUBY_A = lib$(RUBY_SO_NAME)-static.a
LIBRUBYARG_SHARED = -l$(RUBY_SO_NAME)
LIBRUBYARG_STATIC = -l$(RUBY_SO_NAME)-static

CFLAGS   =  -fPIC -Wall -g -O2  -fPIC -O -DXTHREADS -I/usr/lib/gtk-2.0/include -I/usr/X11R6/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/include/gtk-2.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/X11R6/include -I/usr/lib/dcl-5.3.2-c/include  -DDCLVER=532 
CPPFLAGS = -I. -I$(topdir) -I$(hdrdir) -I$(srcdir) -DHAVE_NARRAY_H -DHAVE_NARRAY_CONFIG_H -I$(sitelibdir)/$(sitearch) 
CXXFLAGS = $(CFLAGS) 
DLDFLAGS =   
LDSHARED = $(CC) -shared
AR = ar
EXEEXT = 

RUBY_INSTALL_NAME = ruby1.8
RUBY_SO_NAME = ruby1.8
arch = i386-linux
sitearch = i386-linux
ruby_version = 1.8
ruby = /usr/bin/ruby1.8
RUBY = $(ruby)
RM = rm -f
MAKEDIRS = mkdir -p
INSTALL = install -p
INSTALL_PROG = $(INSTALL) -m 0755
INSTALL_DATA = $(INSTALL) -m 0644
COPY = cp

#### End of system configuration section. ####

preload = 

libpath = $(sitelibdir)/$(sitearch) $(libdir)
LIBPATH =  -L"$(sitelibdir)/$(sitearch)" -L"$(libdir)"
DEFFILE = 

CLEANFILES = 
DISTCLEANFILES = 

extout = 
extout_prefix = 
target_prefix = /numru
LOCAL_LIBS =  -L/usr/lib/dcl-5.3.2-c/lib -L/usr/X11R6/lib -lcdcl532 -lf2c4dcl -Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgdk_pixbuf-2.0 -lm -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0 -lSM -lICE -lX11 -lm 
LIBS = $(LIBRUBYARG_SHARED)  -lpthread -ldl -lcrypt -lm   -lc
SRCS = dcl_cary2obj.c dcl_obj2cary.c dummy.c grph1_csgi.c grph1_scpack.c grph1_sgpack.c grph1_slpack.c grph1_stpack.c math1_oslib.c grph1_swpack.c grph2_grpack.c grph2_ucpack.c grph2_udpack.c grph2_uepack.c grph2_ugpack.c grph2_uhpack.c grph2_ulpack.c grph2_umpack.c grph2_uspack.c grph2_uupack.c grph2_uvpack.c grph2_uwpack.c grph2_uxpack.c grph2_uypack.c grph2_uzpack.c math1_blklib.c math1_chrlib.c math1_fnclib.c math1_gnmlib.c math1_ifalib.c math1_indxlib.c math1_intlib.c math1_lrllib.c math1_rfalib.c math1_rfblib.c math1_sublib.c math1_syslib.c math1_vialib.c math1_viblib.c math1_vralib.c math1_vrblib.c math1_xfclib.c math2_fftlib.c math2_intrlib.c math2_rnmlib.c math2_shtlib.c math2_vstlib.c misc1_chnlib.c misc1_datelib.c misc1_fmtlib.c misc1_misclib.c misc1_randlib.c misc1_timelib.c math1_gt2dlib.c grph1_zgpack.c init.c
OBJS = dcl_cary2obj.o dcl_obj2cary.o dummy.o grph1_csgi.o grph1_scpack.o grph1_sgpack.o grph1_slpack.o grph1_stpack.o math1_oslib.o grph1_swpack.o grph2_grpack.o grph2_ucpack.o grph2_udpack.o grph2_uepack.o grph2_ugpack.o grph2_uhpack.o grph2_ulpack.o grph2_umpack.o grph2_uspack.o grph2_uupack.o grph2_uvpack.o grph2_uwpack.o grph2_uxpack.o grph2_uypack.o grph2_uzpack.o math1_blklib.o math1_chrlib.o math1_fnclib.o math1_gnmlib.o math1_ifalib.o math1_indxlib.o math1_intlib.o math1_lrllib.o math1_rfalib.o math1_rfblib.o math1_sublib.o math1_syslib.o math1_vialib.o math1_viblib.o math1_vralib.o math1_vrblib.o math1_xfclib.o math2_fftlib.o math2_intrlib.o math2_rnmlib.o math2_shtlib.o math2_vstlib.o misc1_chnlib.o misc1_datelib.o misc1_fmtlib.o misc1_misclib.o misc1_randlib.o misc1_timelib.o math1_gt2dlib.o grph1_zgpack.o init.o
TARGET = dcl_raw
DLLIB = $(TARGET).so
STATIC_LIB = 

RUBYCOMMONDIR = $(sitedir)$(target_prefix)
RUBYLIBDIR    = $(sitelibdir)$(target_prefix)
RUBYARCHDIR   = $(sitearchdir)$(target_prefix)

TARGET_SO     = $(DLLIB)
CLEANLIBS     = $(TARGET).so $(TARGET).il? $(TARGET).tds $(TARGET).map
CLEANOBJS     = *.o *.a *.s[ol] *.pdb *.exp *.bak

all:		$(DLLIB)
static:		$(STATIC_LIB)

clean:
		@-$(RM) $(CLEANLIBS) $(CLEANOBJS) $(CLEANFILES)

distclean:	clean
		@$(RM) Makefile.orig
		@$(RM) init.c grph1_zgpack.c
		@-$(RM) Makefile extconf.h conftest.* mkmf.log
		@-$(RM) core ruby$(EXEEXT) *~ $(DISTCLEANFILES)

realclean:	distclean
install: install-so install-rb

install-so: $(RUBYARCHDIR)
install-so: $(RUBYARCHDIR)/$(DLLIB)
$(RUBYARCHDIR)/$(DLLIB): $(DLLIB)
	$(INSTALL_PROG) $(DLLIB) $(RUBYARCHDIR)
install-rb: pre-install-rb install-rb-default
install-rb-default: pre-install-rb-default
pre-install-rb pre-install-rb-default: $(RUBYLIBDIR)
install-rb-default: $(RUBYLIBDIR)/dcl.rb
$(RUBYLIBDIR)/dcl.rb: $(srcdir)/lib/dcl.rb
	$(INSTALL_DATA) $(srcdir)/lib/dcl.rb $(RUBYLIBDIR)
$(RUBYARCHDIR):
	$(MAKEDIRS) $@
$(RUBYLIBDIR):
	$(MAKEDIRS) $@

site-install: site-install-so site-install-rb
site-install-so: install-so
site-install-rb: install-rb

.SUFFIXES: .c .m .cc .cxx .cpp .C .o

.cc.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $<

.cxx.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $<

.cpp.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $<

.C.o:
	$(CXX) $(CXXFLAGS) $(CPPFLAGS) -c $<

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $<

$(DLLIB): $(OBJS)
	@-$(RM) $@
	$(LDSHARED) $(DLDFLAGS) $(LIBPATH) -o $@ $(OBJS) $(LOCAL_LIBS) $(LIBS)



$(OBJS): ruby.h defines.h

=== GenWrapper/proto/Makefile ===
--- 
+++ 
@@ -2,7 +2,8 @@
     math1_ifalib.c math1_indxlib.c math1_intlib.c math1_lrllib.c \
     math1_oslib.c math1_rfalib.c math1_rfblib.c math1_sublib.c \
     math1_syslib.c math1_vialib.c math1_viblib.c math1_vralib.c \
-    math1_vrblib.c math1_xfclib.c math2_fftlib.c math2_intrlib.c \
+    math1_vrblib.c math1_xfclib.c math1_gt2dlib.c \
+    math2_fftlib.c math2_intrlib.c \
     math2_rnmlib.c math2_shtlib.c math2_vstlib.c \
     misc1_chnlib.c misc1_datelib.c misc1_fmtlib.c misc1_misclib.c \
     misc1_randlib.c misc1_timelib.c grph1_csgi.c grph1_scpack.c \
@@ -18,7 +19,9 @@
 	cd ../ ; \
 	cat etc/p_header              > src/$@ ; \
 	ruby proto2c.rb proto/$< >> src/$@ ; \
-	ruby cproto2init.rb src/$@   >> src/$@ ; \
+	cp src/$@ src/.$@ ; \
+	ruby cproto2init.rb src/$@ >> src/.$@ ; \
+	mv -f src/.$@ src/$@ ; \
 	cd proto
 
 all: $(SRCS)

## ruby-dcl 1.6.0

=== GenWrapper/proto/Makefile ===
--- 
+++ 
@@ -11,7 +11,8 @@
     grph2_grpack.c grph2_ucpack.c grph2_udpack.c grph2_uepack.c \
     grph2_ugpack.c grph2_uhpack.c grph2_ulpack.c grph2_umpack.c \
     grph2_uspack.c grph2_uupack.c grph2_uvpack.c grph2_uwpack.c \
-    grph2_uxpack.c grph2_uypack.c grph2_uzpack.c
+    grph2_uxpack.c grph2_uypack.c grph2_uzpack.c \
+    math1_maplib.c
 #    math2_odelib.c \
 
 .SUFFIXES: .fp

## ruby-dcl 1.6.2

=== debian/changelog ===
ruby-dcl (1.6.2-2) unstable; urgency=low

  * Bump Standard Versino: 3.9.2
  * Change Build-Depends: switch gem2deb rules
    - add chrpath for RPATH issues
  * Create transitional package for RubyInWheezy transition

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 10 Jan 2012 20:23:48 +0900

ruby-dcl (1.6.2-1) unstable; urgency=low

  * Imported Upstream version 1.6.2
  * create dbg/ruby1.9.1 packages
  * add chrpath to Build-Depends
  * Add watch file

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 26 Feb 2011 02:59:34 +0900

ruby-dcl (1.6.0-3) unstable; urgency=low

  * Change Section: math to ruby
  * Modified upstream author's mail address

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 14 Jun 2009 01:15:09 +0900

ruby-dcl (1.6.0-2) unstable; urgency=low

  * Add Debends: dcl-c

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 08 Mar 2009 10:14:13 +0900

libdcl-ruby (1.6.0-1) unstable; urgency=low

  * New upstream release

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 03 Dec 2008 17:45:57 +0900

libdcl-ruby (1.5.3-4) unstable; urgency=low

  * New upstream release

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 03 Dec 2008 15:58:31 +0900

libdcl-ruby (1.5.3-3) unstable; urgency=low

  * unzip demo program
     * Add "DEB_COMPRESS_EXCLUDE += .rb" in debian/rules

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 19 Oct 2007 23:11:13 +0900

libdcl-ruby (1.5.3-2) unstable; urgency=low

  * New upstream: redesigned for Etch
  * usging CDBS and ruby-pkg-tools

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 16 Jun 2007 03:45:59 +0900

ruby-dcl (1.5.3-2) unstable; urgency=low

  * update

 -- SUGIYAMA Ko-ichiro <sugiyama@gfd-dennou.org>  Sat,  9 Dec 2006 16:43:35 +0900

ruby-dcl (1.5.3-1) unstable; urgency=low

  * Initial Release.

 -- SUGIYAMA Ko-ichiro <sugiyama@gfd-dennou.org>  Sat,  9 Dec 2006 15:40:29 +0900

=== debian/control ===
Source: ruby-dcl
Section: ruby
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 7.0.50~), gem2deb,
 ruby-narray, libglib2.0-dev, libgtk2.0-dev, libcdcl-dev, chrpath
Standards-Version: 3.9.2
Homepage: http://ruby.gfd-dennou.org/products/ruby-dcl/
XS-Ruby-Versions: all

Package: ruby-dcl
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby-narray
Replaces: libdcl-ruby (<< 1.6.2-2~), libdcl-ruby1.8 (<< 1.6.2-2~), libdcl-ruby1.9.1 (<< 1.6.2-2~)
Breaks: libdcl-ruby (<< 1.6.2-2~), libdcl-ruby1.8 (<< 1.6.2-2~), libdcl-ruby1.9.1 (<< 1.6.2-2~)
Provides: libdcl-ruby, libdcl-ruby1.8, libdcl-ruby1.9.1
Description: Ruby interface of the DCL graphic library
 RubyDCL is a ruby interface to the scientific graphic library DCL. It
 supports all the subroutines and functions in DCL on a one-to-one
 basis.

Package: ruby-dcl-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ruby-dcl (=${binary:Version}), ${misc:Depends}
Description: Ruby interface of the DCL graphic library (debug symbols)
 RubyDCL is a ruby interface to the scientific graphic library DCL. It
 supports all the subroutines and functions in DCL on a one-to-one
 basis.
 .
 This package is provided primarily to provide a backtrace with names
 in a debugger, this makes it somewhat easier to interpret core
 dumps.  Most people will not need this package.

Package: libdcl-ruby
Priority: extra
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, ruby-dcl
Description: Transitional package for ruby-dcl
 This is a transitional package to ease upgrades to the ruby-dcl
 package. It can safely be removed.

Package: libdcl-ruby1.8
Priority: extra
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, ruby-dcl
Description: Transitional package for ruby-dcl
 This is a transitional package to ease upgrades to the ruby-dcl
 package. It can safely be removed.

Package: libdcl-ruby1.9.1
Priority: extra
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, ruby-dcl
Description: Transitional package for ruby-dcl
 This is a transitional package to ease upgrades to the ruby-dcl
 package. It can safely be removed.

Package: libdcl-ruby1.8-dbg
Priority: extra
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, ruby-dcl-dbg
Description: Transitional package for ruby-dcl-dbg
 This is a transitional package to ease upgrades to the ruby-dcl-dbg
 package. It can safely be removed.

Package: libdcl-ruby1.9.1-dbg
Priority: extra
Section: oldlibs
Architecture: all
Depends: ${misc:Depends}, ruby-dcl-dbg
Description: Transitional package for ruby-dcl-dbg
 This is a transitional package to ease upgrades to the ruby-dcl-dbg
 package. It can safely be removed.

=== debian/watch ===
version=3
http://ruby.gfd-dennou.org/products/ruby-dcl/ ruby-dcl-([0-9]\.[0-9]\.[0-9])\.tar\.gz

## ruby-dcl 1.6.3

=== GenWrapper/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-all: source   # dcl_rb
+all: source dcl_rb
 
 source:
 	cd proto ; \

=== GenWrapper/proto/Makefile ===
--- 
+++ 
@@ -18,17 +18,17 @@
 .SUFFIXES: .fp
 .fp.c:
 	cd ../ ; \
-	cat etc/p_header              > src/$@ ; \
-	ruby proto2c.rb proto/$< >> src/$@ ; \
-	cp src/$@ src/.$@ ; \
-	ruby cproto2init.rb src/$@ >> src/.$@ ; \
-	mv -f src/.$@ src/$@ ; \
+	cat etc/p_header              > ../$@ ; \
+	ruby proto2c.rb proto/$< >> ../$@ ; \
+	cp ../$@ ../.$@ ; \
+	ruby cproto2init.rb ../$@ >> ../.$@ ; \
+	mv -f ../.$@ ../$@ ; \
 	cd proto
 
 all: $(SRCS)
 
 clean:
-	cd ../src/ ; \
+	cd ../../ ; \
 	$(RM) $(SRCS) ;\
 	cd ..

=== debian/changelog ===
ruby-dcl (1.6.3-1~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 22 Feb 2012 16:34:27 +0900

ruby-dcl (1.6.3-1) unstable; urgency=low

  * New Upstream version 1.6.3

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 21 Feb 2012 00:47:55 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
 Build-Depends: debhelper (>= 7.0.50~), gem2deb,
- ruby-narray, libglib2.0-dev, libgtk2.0-dev, libcdcl-dev, chrpath
+ ruby-narray, libglib2.0-dev, libgtk2.0-dev, libcdcl-dev
 Standards-Version: 3.9.2
 Homepage: http://ruby.gfd-dennou.org/products/ruby-dcl/
 XS-Ruby-Versions: all

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem ruby --with ruby

override_dh_auto_install:
	dh_auto_install
#	for f in `find debian/ruby-dcl/usr/lib/ruby -type f -name dcl_raw.so`; do \
#		chrpath -d $$f ;\
#	done

override_dh_strip:
	dh_strip --dbg-package=ruby-dcl-dbg

# DCL_RUBY_VERSIONS= 1.8 1.9.1
# LIB_PACKAGE_FILTER = %-ruby $(patsubst %,\%-ruby%,$(DCL_RUBY_VERSIONS))

# include /usr/share/cdbs/1/rules/debhelper.mk
# include /usr/share/cdbs/1/rules/patchsys-quilt.mk
# include /usr/share/ruby-pkg-tools/1/class/ruby-extconf-rb.mk

# LIBDIR_1.9.1=$(shell ruby1.9.1 -rrbconfig -e 'puts Config::CONFIG["vendorarchdir"]')
# LIBDIR_1.8  =$(shell ruby1.8   -rrbconfig -e 'puts Config::CONFIG["vendorarchdir"]')

# DEB_COMPRESS_EXCLUDE := .rb .dat
# DEB_INSTALL_CHANGELOGS_ALL := ChangeLog
# DEB_INSTALL_DOCS_ALL := README
# DEB_INSTALL_DOCS_libdcl-ruby := ToDo demo

# binary-post-install/libdcl-ruby1.8::
# 	chrpath -d $(CURDIR)/debian/$(cdbs_curpkg)$(LIBDIR_1.8)/numru/dcl_raw.so

# binary-post-install/libdcl-ruby1.9.1::
# 	chrpath -d $(CURDIR)/debian/$(cdbs_curpkg)$(LIBDIR_1.9.1)/numru/dcl_raw.so

## ruby-dcl 1.7.0

=== debian/changelog ===
ruby-dcl (1.7.0-4) unstable; urgency=medium

  * Update Build-Depends: dpkg-dev >= 1.16.1~
  * Bump Standard Version: 3.9.5
  * Fix RPATH issue
  * Add Hardening Patch: Format Secutiry

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 02 Feb 2014 06:36:37 +0900

ruby-dcl (1.7.0-3) unstable; urgency=low

  * Update hardening flags, Reflush patches

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 11 Jun 2012 23:17:52 +0900

ruby-dcl (1.7.0-2) unstable; urgency=low

  * Update hardening flags for Ubuntu ports

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 11 Jun 2012 22:26:54 +0900

ruby-dcl (1.7.0-1) unstable; urgency=low

  * Imported Upstream version 1.7.0
  * Bump Standard Version: 3.9.3
  * Refresh patch: extconf.rb
  * Avoid Hardening Options: hardening=+all,-format

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 04 Jun 2012 19:33:25 +0900

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: ruby
 Priority: optional
 Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
-Build-Depends: debhelper (>= 7.0.50~), gem2deb,
- ruby-narray, libglib2.0-dev, libgtk2.0-dev, libcdcl-dev
-Standards-Version: 3.9.2
+Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9.0~), gem2deb,
+ ruby-narray, libglib2.0-dev, libgtk2.0-dev, libcdcl-dev, chrpath
+Standards-Version: 3.9.5
 Homepage: http://ruby.gfd-dennou.org/products/ruby-dcl/
 XS-Ruby-Versions: all

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,9 @@
 
 override_dh_auto_install:
 	dh_auto_install
-#	for f in `find debian/ruby-dcl/usr/lib/ruby -type f -name dcl_raw.so`; do \
-#		chrpath -d $$f ;\
-#	done
+	for f in `find debian/ruby-dcl/usr/lib/ruby -type f -name dcl_raw.so`; do \
+		chrpath -d $$f ;\
+	done
 
 override_dh_strip:
 	dh_strip --dbg-package=ruby-dcl-dbg

## ruby-dcl 1.7.1

=== GenWrapper/proto/Makefile ===
SRCS = grph1_csgi.c    grph1_scpack.c  grph1_sgpack.c  grph1_slpack.c  \
       grph1_stpack.c  grph1_swpack.c                                  \
       grph2_grpack.c  grph2_ucpack.c  grph2_udpack.c  grph2_uepack.c  \
       grph2_ugpack.c  grph2_uhpack.c  grph2_uipack.c  grph2_ulpack.c  \
       grph2_umpack.c  grph2_uspack.c  grph2_uupack.c  grph2_uvpack.c  \
       grph2_uwpack.c  grph2_uxpack.c  grph2_uypack.c  grph2_uzpack.c  \
       math1_blklib.c  math1_chrlib.c  math1_clsplib.c math1_fnclib.c  \
       math1_gt2dlib.c math1_gnmlib.c  math1_ifalib.c  math1_indxlib.c \
       math1_intlib.c  math1_lrllib.c  math1_maplib.c  math1_oslib.c   \
       math1_rfalib.c  math1_rfblib.c  math1_sublib.c  math1_syslib.c  \
       math1_vialib.c  math1_viblib.c  math1_vralib.c  math1_vrblib.c  \
       math1_xfclib.c                                                  \
       math2_fftlib.c  math2_intrlib.c math2_rnmlib.c  math2_shtlib.c  \
       math2_vstlib.c                                                  \
       misc1_chnlib.c  misc1_datelib.c misc1_fmtlib.c  misc1_misclib.c \
       misc1_randlib.c misc1_timelib.c
#      math2_odelib.c \

.SUFFIXES: .fp
.fp.c:
	cd ../ ; \
	cat etc/p_header              > ../$@ ; \
	ruby proto2c.rb proto/$< >> ../$@ ; \
	cp ../$@ ../.$@ ; \
	ruby cproto2init.rb ../$@ >> ../.$@ ; \
	mv -f ../.$@ ../$@ ; \
	cd proto

all: $(SRCS)

clean:
	cd ../../ ; \
	$(RM) $(SRCS) ;\
	cd ..

distclean: clean

=== debian/changelog ===
ruby-dcl (1.7.1-3~1.gbp90b92d) unstable; urgency=medium

  ** SNAPSHOT build @90b92db5327c670a6306eb18c5a878366c5c9c8f **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Tue, 29 Dec 2015 02:40:10 +0900

ruby-dcl (1.7.1-3) unstable; urgency=medium

  * Rebuild against new dcl-c

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 08 Sep 2015 20:07:27 +0900

ruby-dcl (1.7.1-2) unstable; urgency=medium

  * Add lintian overrides for Wheezy Backports

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 27 Aug 2015 17:06:10 +0900

ruby-dcl (1.7.1-1) unstable; urgency=medium

  * Imported Upstream version 1.7.1
  * Update debian/control: Cosmetic.
  * Bump Standard Version: 3.9.6.
  * Update debian/copyright: format 1.0, GPL2->BSD-2-Clause.
  * Refresh patches.

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 24 Aug 2015 17:20:33 +0900

ruby-dcl (1.7.0-5) unstable; urgency=medium

  * Fix description

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 12 Feb 2014 11:47:01 +0900

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,12 @@
 Priority: optional
 Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
 Build-Depends: dpkg-dev (>= 1.16.1~), debhelper (>= 9.0~), gem2deb,
- ruby-narray, libglib2.0-dev, libgtk2.0-dev, libcdcl-dev, chrpath
-Standards-Version: 3.9.5
+	ruby-narray,
+	libglib2.0-dev,
+	libgtk2.0-dev,
+	libcdcl-dev,
+	chrpath
+Standards-Version: 3.9.6
 Homepage: http://ruby.gfd-dennou.org/products/ruby-dcl/
 XS-Ruby-Versions: all
 
@@ -39,7 +43,7 @@
 Section: oldlibs
 Architecture: all
 Depends: ${misc:Depends}, ruby-dcl
-Description: Transitional package for ruby-dcl
+Description: Transitional package from libdcl-ruby to ruby-dcl
  This is a transitional package to ease upgrades to the ruby-dcl
  package. It can safely be removed.
 
@@ -48,7 +52,7 @@
 Section: oldlibs
 Architecture: all
 Depends: ${misc:Depends}, ruby-dcl
-Description: Transitional package for ruby-dcl
+Description: Transitional package from libdcl-ruby1.8 to ruby-dcl
  This is a transitional package to ease upgrades to the ruby-dcl
  package. It can safely be removed.
 
@@ -57,7 +61,7 @@
 Section: oldlibs
 Architecture: all
 Depends: ${misc:Depends}, ruby-dcl
-Description: Transitional package for ruby-dcl
+Description: Transitional package from libdcl-ruby1.9.1 to  ruby-dcl
  This is a transitional package to ease upgrades to the ruby-dcl
  package. It can safely be removed.
 
@@ -66,7 +70,7 @@
 Section: oldlibs
 Architecture: all
 Depends: ${misc:Depends}, ruby-dcl-dbg
-Description: Transitional package for ruby-dcl-dbg
+Description: Transitional package for libdcl-ruby1.8-dbg to ruby-dcl-dbg
  This is a transitional package to ease upgrades to the ruby-dcl-dbg
  package. It can safely be removed.
 
@@ -75,7 +79,6 @@
 Section: oldlibs
 Architecture: all
 Depends: ${misc:Depends}, ruby-dcl-dbg
-Description: Transitional package for ruby-dcl-dbg
+Description: Transitional package for libdcl-ruby1.9.1-dbg to ruby-dcl-dbg
  This is a transitional package to ease upgrades to the ruby-dcl-dbg
  package. It can safely be removed.
-

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --buildsystem ruby --with ruby

override_dh_auto_install:
	dh_auto_install
	for f in `find debian/ruby-dcl/usr -type f -name dcl_raw.so`; do \
		chrpath -d $$f ;\
	done

override_dh_strip:
	dh_strip --dbg-package=ruby-dcl-dbg

=== debian/watch ===
version=3
http://ruby.gfd-dennou.org/products/ruby-dcl/release/ ruby-dcl-([0-9]\.[0-9]\.[0-9])\.tar\.gz

## ruby-dcl 1.8.1

=== GenWrapper/Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 	cd proto ; \
 	$(MAKE) ; \
 	cd ../
+	ruby dcl_narrayed_funcs.rb
 
 dcl_rb:
 	ruby elim_ary_size.rb proto/*.fp

=== GenWrapper/proto/Makefile ===
--- 
+++ 
@@ -19,17 +19,17 @@
 .SUFFIXES: .fp
 .fp.c:
 	cd ../ ; \
-	cat etc/p_header              > ../$@ ; \
-	ruby proto2c.rb proto/$< >> ../$@ ; \
-	cp ../$@ ../.$@ ; \
-	ruby cproto2init.rb ../$@ >> ../.$@ ; \
-	mv -f ../.$@ ../$@ ; \
+	cat etc/p_header              > ../ext/numru/$@ ; \
+	ruby proto2c.rb proto/$< >> ../ext/numru/$@ ; \
+	cp ../ext/numru/$@ ../ext/numru/.$@ ; \
+	ruby cproto2init.rb ../ext/numru/$@ >> ../ext/numru/.$@ ; \
+	mv -f ../ext/numru/.$@ ../ext/numru/$@ ; \
 	cd proto
 
 all: $(SRCS)
 
 clean:
-	cd ../../ ; \
+	cd ../../ext/numru/ ; \
 	$(RM) $(SRCS) ;\
 	cd ..

=== debian/changelog ===
ruby-dcl (1.8.1-4+0~20220319100124.34~1.gbpd744e3) unstable; urgency=medium

  ** SNAPSHOT build @d744e3da1f9b756c07f88bf0e798786698d5c261 **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Sat, 19 Mar 2022 19:01:25 +0900

ruby-dcl (1.8.1-4) unstable; urgency=medium

  * Import upstream patches to use dcl-f77
  * update depends: dcl-f77 >= 7.4.5

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 25 Oct 2021 17:14:49 +0900

ruby-dcl (1.8.1-3) unstable; urgency=medium

  * Use gemwatch as upstream
  * Move debian/watch to gemwatch.debian.net
  * Drop compat file, rely on debhelper-compat and bump compat level to 12
  * Bump Standards-Version to 4.5.0 (no changes needed)
  * d/rules: Add DH_RUBY_GEMSPEC
  * Add patch: avoide null terminated glob in gemspec

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 07 Apr 2020 00:24:46 +0900

ruby-dcl (1.8.1-2) unstable; urgency=medium

  * Add patch: Drop require-rubygems

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Thu, 24 Nov 2016 14:05:47 +0900

ruby-dcl (1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1
  * Add patch: Drop Overmuch LDFLAGS
  * Create/Cleanup auto-generated files
  * Drop chrpath, -dbg package
  * Add d/ruby-dcl.install: install narray_type.rb
  * Bump Standard Version: 3.9.8

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 24 Sep 2016 02:22:57 +0900

ruby-dcl (1.7.1-4) unstable; urgency=medium

  * Drop *-ruby{1.8,1.9.1} package support

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 29 Dec 2015 05:48:35 +0900

=== debian/control ===
Source: ruby-dcl
Section: ruby
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper-compat (= 12), gem2deb,
	ruby-narray,
	libf77dcl-dev (>=7.4.5~)
Standards-Version: 4.5.0
Homepage: http://ruby.gfd-dennou.org/products/ruby-dcl/
XS-Ruby-Versions: all

Package: ruby-dcl
Architecture: any
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby-narray
Description: Ruby interface of the DCL graphic library
 RubyDCL is a ruby interface to the scientific graphic library DCL.
 It supports all the subroutines and functions in DCL on a one-to-one
 basis.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export DH_RUBY_GEMSPEC = debian/ruby-dcl.gemspec

%:
	dh $@ --buildsystem ruby --with ruby

override_dh_auto_build:
	$(MAKE) -C $(CURDIR)/GenWrapper

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(CURDIR)/ext/numru/math1*.c
	rm -f $(CURDIR)/ext/numru/math2*.c
	rm -f $(CURDIR)/ext/numru/grph1*.c
	rm -f $(CURDIR)/ext/numru/grph2*.c
	rm -f $(CURDIR)/ext/numru/misc1*.c
	rm -f $(CURDIR)/ext/numru/dcl_narrayed_funcs.c
	rm -f $(CURDIR)/ext/numru/init.c
	rm -f $(CURDIR)/lib/numru/dcl/dcl.rb
	rm -f $(CURDIR)/lib/numru/dcl/narray_type.rb

## ruby-dcl 1.8.2

=== debian/changelog ===
ruby-dcl (1.8.2-3+0~20260126141527.53~1.gbpde2cae) unstable; urgency=medium

  ** SNAPSHOT build @de2caee705af39e0b9d02ec1c1205bca8dfeda66 **

  * UNRELEASED

 -- Jenkins Autobuilder <jenkins@gfd-dennou.org>  Mon, 26 Jan 2026 23:15:27 +0900

ruby-dcl (1.8.2-3) unstable; urgency=medium

  * Add patch: follow upstream header relocation
  * Bump Standards-Version to 4.7.3 (no changes needed)
  * d/control: redundant-priority, rules-require-root

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 26 Jan 2026 23:14:23 +0900

ruby-dcl (1.8.2-2) unstable; urgency=medium

  * Add patch: fix gcc-14 compatibility
  * Remove X?-Ruby-Versions fields from d/control

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Fri, 27 Dec 2024 11:31:29 +0900

ruby-dcl (1.8.2-1) unstable; urgency=medium

  * New upstream version 1.8.2
  * d/watch: bump version 4
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * d/control: debelper-compat(=13)
  * d/copyright: Update year
  * Drop patches: applied upstream
  * d/control: Rules-Requires-Root: no

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 21 Mar 2022 14:06:20 +0900

=== debian/control ===
Source: ruby-dcl
Section: ruby
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: dpkg-dev (>= 1.16.1~), debhelper-compat (= 13), gem2deb,
	ruby-narray,
	libf77dcl-dev (>=7.4.7~)
Standards-Version: 4.7.3
Homepage: https://ruby.gfd-dennou.org/products/ruby-dcl/

Package: ruby-dcl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby-narray
Description: Ruby interface of the DCL graphic library
 RubyDCL is a ruby interface to the scientific graphic library DCL.
 It supports all the subroutines and functions in DCL on a one-to-one
 basis.
